Subject: bug#4513: [Aquamacs-devel] Where are the menu sub-items in Aquamacs version 2.

From: David Reitter <[email-masked]>
Date: Tue, 22 Sep 2009 17:24:10 -0400

And one more bit of information:  the missing menu issue only occurs  
when I run Emacs in VNC (Apple's VNC).  When I run it locally, 10.5.8  
poses no problems.

So let's split this issue from 4513, which is about the mangle  
applications menu when compiling on 10.6

On Sep 22, 2009, at 4:55 PM, David Reitter wrote:

> Further to this:
>
> When building the master branch [based Aquamacs] on 10.5, it will  
> run without menu problems on 10.6.
> The application menu is present and all menus are visible.
>
> When run on 10.5.8, submenus are missing.
>
> Inspecting this with the Accessibility Inspector, I see that  
> AXChildren of the submenu is size 11 for the applications menu,  but  
> 1 for the File / Edit etc. menus.
>
>
> On Sep 22, 2009, at 2:59 PM, David Reitter wrote:
>
>> Erratum: s/master branch/23.1 branch/
>>
>> On Sep 22, 2009, at 2:57 PM, David Reitter wrote:
>>
>>> Further to this, here's another menu bug:
>>>
>>> I see that the submenus (except for the application) menu are  
>>> missing in 23.1 based builds made on 10.5 and run on 10.5.  That  
>>> is, only the titles show, but not the menus.
>>>
>>> The bug is not a recent regression in Emacs - even a build from  
>>> back in April shows this.
>>> See also the bug report we got from a user, who had similar  
>>> trouble in 10.5.  A reasonable hypothesis here is that it is a  
>>> late point-release of 10.5 causing this.
>>>
>>> The master branch built on 10.5 shows missing submenus (just  
>>> titles) when run on 10.5.
>>> When run on 10.6 it works fine and has no problems.
>>>
>>> I have tried moving menu-bar.el loading around in loadup.el just  
>>> in case this is an artifact of some dumping / pure-space problem.
>>> I'm puzzled...
>>>
>>>
>>> PS: As for the bug with the collapsed applications menu: even a  
>>> 23.1 build (with Yamamoto's Aug 28 patch applied), made on 10.6  
>>> (and 32 bit) shows the problem.  I
>>> I can't make the File menu appear by removing the define-key  
>>> global-map [menu-bar] ... expression from ns-win in this case.
>>>
>>>
>>>
>>> Begin forwarded message:
>>>
>>>> From: Jean-Philippe SCHILLE <[email-masked]>
>>>> Date: September 1, 2009 10:13:00 AM EDT
>>>> To: [email-masked]
>>>> Subject: [Aquamacs-devel] Where are the menu sub-items in  
>>>> Aquamacs version 2.
>>>> Reply-To: Aquamacs Developers <[email-masked]>
>>>>
>>>> Hello,
>>>>
>>>> For the 2.0 branch versions, I cannot see any sub-items in the  
>>>> menu bar.
>>>> The Aquamacs item is fine as all expected sub-items (About,  
>>>> Check,Services...) are visible but the menu items File Edit  
>>>> Options Tools Window Help do not show any sub-item when I click  
>>>> on them.
>>>>
>>>> Everything is fine with Aquamacs Emacs 1.8 though.
>>>>
>>>> I am running OS X 10.5.8 and I am using the latest X11 version  
>>>> 2.4.0 from http://xquartz.macosforge.org/trac/wiki/Releases (I  
>>>> wonder if this is the culprit?)
>>>>
>>>> Thanks in advance for your help and advice.
>>>>
>>>> Regards,
>>>>
>>>> Jean-Philippe Schillé
>>>> Sente Software Ltd
>>>> 40 Occam Road
>>>> Guildford GU2 7YG
>>>> United-Kingdom
>>>> www.sentesoftware.co.uk
>>>>
>>>> _______________________________________________
>>>> Aquamacs-devel mailing list
>>>> [email-masked]
>>>> http://lists.aquamacs.org/mailman/listinfo.cgi/aquamacs-devel
>>>
>>
>